Subject: Re: bug#16603: 24.3.50; Segfault when viewing a backtrace

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jan 2014 10:37:21 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Dmitry Antipov <[email-masked]>,  [email-masked]
> Date: Fri, 31 Jan 2014 00:11:25 -0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So either we should reserve some space for the debugger, or enlarge
> > max-specpdl-size before running the debugger, or refrain from running
> > the debugger in this specific case.
> 
> Being able to run the debugger seems kinda nice.  >"?  So I think
> enlarging before running the debugger sounds like the right solution.

Yes, assuming we can make sure the debugger itself does not try to
traverse a circular structure.  Also, we should disallow recursive
re-entering the debugger in this case.  But perhaps there are already
facilities for that, I don't really know this area all that well.